Bug 1268380 - Review Request: python-sphinx-bootstrap-theme - A sphinx theme that integrates the Bootstrap framework
Review Request: python-sphinx-bootstrap-theme - A sphinx theme that integrate...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn 'besser82' Esser
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1400748
  Show dependency treegraph
 
Reported: 2015-10-02 14:09 EDT by Stuart Campbell
Modified: 2017-02-22 09:49 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-19 17:47:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Stuart Campbell 2015-10-02 14:09:00 EDT
Spec URL: http://copr-dist-git.fedorainfracloud.org/cgit/sic/packages/python-sphinx-theme-bootstrap.git/plain/sphinx-theme-bootstrap.spec

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/sic/packages/fedora-22-x86_64/00123480-python-sphinx-theme-bootstrap/python-sphinx-theme-bootstrap-0.4.5-3.fc22.src.rpm

Description: This sphinx theme integrates the Booststrap CSS / Javascript framework with various layout options, 
hierarchical menu navigation, and mobile-friendly responsive design.  It is configurable, extensible
and can use any number of difference Bootswatch CSS themes.

Fedora Account System Username: sic

This is my first packages and so I will need a sponsor.  Thank you.
Comment 1 Upstream Release Monitoring 2015-10-02 14:16:39 EDT
sic's scratch build of python-sphinx-theme-bootstrap-0.4.5-3.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11312723
Comment 2 Randy Barlow 2015-10-10 18:08:55 EDT
Hello Stuart! Like you, I am seeking to become a Fedora package maintainer. As part of that process, I've been asked to review a few other packages. Thus what follows is merely an informal review. Here are a few things I noted while looking at your spec file:

0) In your description, s/difference/different/. Also, most modern English grammatical styles recommend one space in between sentences instead of two (which was the former standard).

1) This is merely a style recommendation from PEP-8 (Python), but I like separating the top sections of the SPEC file by two spaces so things like %build and %install are more visually grouped/separated. That's just an opinion, so feel free to ignore ☺

2) In the %files section, you should include LICENSE.txt with the %license macro instead of the %doc macro.

There are also a few things that rpmlint complains about. I've included a few of them below with my own comments:

0) python-sphinx-theme-bootstrap.src: E: description-line-too-long

Your description shouldn't be more than 80 characters wide, but you can break it into multiple lines.

1) python-sphinx-theme-bootstrap.src: E: specfile-error warning: bogus date in %changelog

October 3, 2015 doesn't exist ☺

2) There are a lot of complaints about scripts without shebangs, but the code in question is JavaScript/css/svg that is meant to be interpreted by a web browser so I don't think these complaints from rpmlint make any sense. However, it may make sense to keep these particular files in /usr/share instead of /usr/lib/python* since they are really media files and not Python source files.

Good luck!
Comment 3 Stuart Campbell 2015-10-12 15:27:10 EDT
Hi Randy,
Thank you for taking the time to look over the package.

0) Yes I just copied the description from PyPI, so I've changed it.

2) I'm a little confused about this as the Fedora guide on rpm packing states "These prefixes are not valid in Fedora: %license and %readme."  so is the guide out of date ?

Oops, I've corrected that date - typo, it should have been Friday Oct 2.

Which version of rpmlint are you using ?  I don't get the errors about long lines or scripts without shebangs ?  I'm using rpmlint 1.8-2

Anyway, thanks again for the useful comments.  I have done a new set of packages on copr - 
https://copr.fedoraproject.org/coprs/sic/packages/build/125480/


Here is the link to an updated SRPM : https://copr-be.cloud.fedoraproject.org/results/sic/packages/fedora-22-x86_64/00125480-python-sphinx-theme-bootstrap/python-sphinx-theme-bootstrap-0.4.5-3.fc22.src.rpm
Comment 4 Richard Shaw 2015-10-13 08:38:27 EDT
(In reply to Randy Barlow from comment #2)
> 
> 2) There are a lot of complaints about scripts without shebangs, but the
> code in question is JavaScript/css/svg that is meant to be interpreted by a
> web browser so I don't think these complaints from rpmlint make any sense.
> However, it may make sense to keep these particular files in /usr/share
> instead of /usr/lib/python* since they are really media files and not Python
> source files.

Unless rpmlint is checking for more than it used to, the error about scripts without shebangs is due to the files being marked executable (likely 755 instead of 644). If the file is truly a script that's supposed to be executed directly from shell, then it should have a shebang, if it's not, then it should not be marked executable (unless there's a good reason, in which case we can choose to ignore rpmlint).
Comment 5 Upstream Release Monitoring 2015-10-29 14:57:48 EDT
williamjmorenor's scratch build of python-sphinx-theme-bootstrap-0.4.5-3.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11630477
Comment 6 William Moreno 2015-10-29 18:03:16 EDT
Please post the last versión of the spec and the src.rpm tin this formats:

Spec URL:
SRPM URL:
Comment 8 William Moreno 2015-11-05 10:10:51 EST
OK

OpenSuse, EPEL6 and Fedora have very direfent python packaging policies, in a Fedora review do not make sence to update the spec for OpenSuse compatibility, you can make a spec for OpenSuse and a spec for Fedora/Epel.

Current Fedoras (F23 and F22) and Rawhide support python3, F21 will become EOL in one month and will no accept new packages. Epel7 have python3 support.

If you want to support epel6 I will recomend than you make a spec for this branch, if you want to go for epel7 and Fedora you MUST:

1. Use the License Macro
2. Drop python3 conditionals
3. Provide a python2 and python3 subpackage
4. Use the python provides macro

See the updated Python Guidelines (if you do not follow this guidelines I will can not aprove your package)

https://fedoraproject.org/wiki/Packaging:Python
Comment 9 Stuart Campbell 2015-11-05 16:58:53 EST
Thank you for your comments.  I couldn't get it to build cleanly on epel7 for python3 so I presume that I would have to have a separate spec file for just epel that is python2 only ?  

Otherwise, I think I have addressed all the points.

Spec URL: http://copr-dist-git.fedorainfracloud.org/cgit/sic/packages/python-sphinx-theme-bootstrap.git/plain/sphinx-theme-bootstrap.spec

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/sic/packages/fedora-23-x86_64/00134781-python-sphinx-theme-bootstrap/python-sphinx-theme-bootstrap-0.4.5-1.fc23.src.rpm
Comment 10 Upstream Release Monitoring 2015-11-06 13:55:38 EST
williamjmorenor's scratch build of python-sphinx-theme-bootstrap-0.4.5-1.fc23.src.rpm for epel7 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11729695
Comment 11 Upstream Release Monitoring 2015-11-06 13:55:51 EST
williamjmorenor's scratch build of python-sphinx-theme-bootstrap-0.4.5-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11729686
Comment 12 William Moreno 2015-11-06 13:57:51 EST
OK good job, this is a cool Fedora Python spec

The epel7 build fail due to:
 --> python-devel-2.7.5-18.el7_1.1.x86_64
Error: No Package found for python3-devel

Note than this is not for python3 support try:
BuildRequires: python2-devel

I will run the review in rawhide, the spec looks good now.
Comment 13 William Moreno 2015-11-06 14:04:10 EST
Please do some infomal reviews to become familiar with fedora packaging guidelines:

Check the review status page and look for some python packages reviews an run some informal review.

https://fedoraproject.org/PackageReviewStatus/NEW.html

Read this wiki about the review procees:

https://fedoraproject.org/wiki/Package_Review_Process

Give me the links to you bug review to take then
Comment 14 William Moreno 2016-01-06 14:36:53 EST
Any update here?
Comment 15 Stuart Campbell 2016-01-07 10:08:28 EST
Sorry, I've been busy with my day job.  

Is there any issues I need to address with this package ?  I think it is ok ?

Regarding doing informal package reviews, I have only done one so far. 

https://bugzilla.redhat.com/show_bug.cgi?id=1283327

I will do a few more and update you.
Comment 16 Stuart Campbell 2016-01-07 10:26:34 EST
https://bugzilla.redhat.com/show_bug.cgi?id=1294275
Comment 17 Stuart Campbell 2016-02-01 13:38:16 EST
Any update ?
Comment 18 William Moreno 2016-02-18 14:10:52 EST
The package named according to the Package Naming Guidelines OK
The spec file name must match the base package %{name} OK
The package must be licensed with a Fedora approved license OK
The License field must match the actual license OK
The text of the license must be included in %license OK
The spec file must be written in American English OK
The spec file for the package MUST be legible OK
The package build in rawhide OK
BuildRequires OK
Each package must consistently use macros OK
The package must contain code, or permissible content OK
All filenames in rpm packages must be valid UTF-8 OK

Need work:

Packages must NOT bundle copies of system libraries. You have bundled jquery in the sources:
https://github.com/ryan-roemer/sphinx-bootstrap-theme/tree/master/sphinx_bootstrap_theme/bootstrap/static/js

Package MUST not own directories owned for another package, with %{python3_sitelib}/* you are owning the _pycache_ dir owned by python3.
Comment 19 William Moreno 2016-03-11 15:41:51 EST
Any update with the bundled jquerry?
Comment 20 Stuart Campbell 2016-03-11 21:18:21 EST
I have removed the jquery and also been more explicit about the contained files.

http://copr-dist-git.fedorainfracloud.org/cgit/sic/packages/python-sphinx-theme-bootstrap.git/tree/sphinx-theme-bootstrap.spec
Comment 21 William Moreno 2016-03-30 14:04:15 EDT
Did you try it is working? I see than you remove the bundled libs but I do not see the symlinks to the system libs.
Comment 22 Stuart Campbell 2016-04-12 08:12:15 EDT
You are correct, there are subtle issues, and some persist as the version of jquery packaged for fedora is not the same as the bundled ones (in fast it bundles 2 different versions).  I presume this sort of thing is why ALOT of fedora packages include their own version of jquery.
Comment 23 William Moreno 2016-04-12 14:46:31 EDT
Well, we need to follow current packaging guidelines:

https://fedoraproject.org/wiki/Packaging:Guidelines#Bundling_and_Duplication_of_system_libraries

"Fedora packages should make every effort to avoid having multiple, separate, upstream projects bundled together in a single package.

All packages whose upstreams allow them to be built against system libraries must be built against system libraries.

All packages whose upstreams have no mechanism to build against system libraries may opt to carry bundled libraries, but if they do, they must include Provides: bundled(<libname>) = <version> in their RPM spec file. In addition, packages whose upstreams have no mechanism to build against system libraries must be contacted publicly about a path to supporting system libraries. If upstream refuses, this must be recorded in the spec file, either in comments placed adjacent to the Provides: above, or in an additional file checked into the SCM and referenced by a comment placed adjacent to the Provides: above."

So please ask upstream(open a issue) about use a jquerry version compatible with the system version, paste a link to the issue in the package spec and also include Provides: bundled(js-jquery) = <version>
Comment 24 Stuart Campbell 2016-04-22 20:20:22 EDT
Could you please point me at an example that links to jquery so I can see what the correct thing to do is ?  I can find lots of examples that just bundle it, but none that do the correct thing - it would be much appreciated.

Thank you
Comment 25 William Moreno 2016-06-03 19:16:15 EDT
I have mkdocs, than bundle but jquerry1 and jquerry2, you can check the spec here:

http://pkgs.fedoraproject.org/cgit/rpms/mkdocs.git/tree/mkdocs.spec
Comment 26 William Moreno 2016-06-15 17:21:38 EDT
ping
Comment 27 Stuart Campbell 2016-06-18 10:23:39 EDT
Hi, Thank you for the information.  

I have updated my spec file:
https://github.com/stuartcampbell/rpm-packages/blob/master/sphinx-theme-bootstrap/sphinx-theme-bootstrap.spec

I am doing some builds on copr and will post links when they have finished.
Comment 30 William Moreno 2016-10-10 16:57:33 EDT
Hi, sorry for the last feedback, but can you please update links using the format:

Spec URL: 
SRPM URL:
Comment 32 Björn 'besser82' Esser 2017-01-16 16:59:15 EST
Since there was no progress within the last three months, I'll take over the review…

***

Your link to the spec-file isn't valid, it must point to the raw spec-file…  Quick fix…

Spec URL: https://raw.githubusercontent.com/stuartcampbell/rpm-packages/master/sphinx-theme-bootstrap/sphinx-theme-bootstrap.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/sic/packages/fedora-rawhide-x86_64/00443690-python-sphinx-theme-bootstrap/python-sphinx-theme-bootstrap-0.4.5-2.fc26.src.rpm

***

Please update to the latest version: 0.4.13

***

Your spec-files is named wrong.  It should be named 'python-python-sphinx-bootstrap-theme' according to naming guidelines.  See:  https://fedoraproject.org/wiki/Packaging:Naming?rd=Packaging:NamingGuidelines#Python_source_package_naming

***

Comments on the spec-file:

> %global summary A sphinx theme that integrates the Bootstrap framework

This isn't valid, since %{summary} is set by rpmbuild during parsing of the spec-file and rotates it's contents for every sub-package.  Use sth. like: %{common_sum} instead:

%global common_sum A sphinx theme that integrates the Bootstrap framework

…

Summary: %{common_sum}


> # RHEL doesn't have python 3 and does not know about __python2
> %if 0%{?rhel}  
>   %global __python2 %{__python}
>   %global python2_sitelib %{python_sitelib}
>   %global with_python3 0
> %else
>   %global with_python3 1
> %endif

Doing so is simply wrong…  You are shadowing the settings of the system-macros if present…

A cleaner solution would be:

%{?!__python2:%global __python2 %{__python}}
%{?!python2_sitelib:%global python2_sitelib %{python_sitelib}}

%if 0%{?fedora} >= 13 || 0%{?rhel} >= 8
  %global with_py3 1
%endif # 0#{?fedora} >= 13 || 0#{?rhel} >= 8

This only evals if there is no system-preset for Python2 macros and works without conditionals on a specific distro-release.  Just setting with_py, when it is present, simplyfies a lot of conditonals, especially one-liners can profit from conditional expansion.


The Url for Source0 is wrong.  See:  https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/SourceURL#Python_Packages_.28pypi.29


> Requires:       js-jquery1

Is wrong at this place.  It must be placed into every sub-pkg, that needs it.


The BuildRequires should be moved into corresponding sub-pkg, too.


Repeating the same text in %description bloats the spec-file.  You can use:

%global common_desc \
This sphinx theme integrates the Booststrap CSS / Javascript framework \
with various layout options, hierarchical menu navigation, and mobile-\
friendly responsive design.  It is configurable, extensible and can use \
any number of different Bootswatch CSS themes.

And then use it in every %description like:

%description
%{common_desc}


The 'egg-info'-dir must be removed during %prep.


The package doesn't own the sub-dir it creates.


The installed egg-info-dirs should be packaged using the %{pythonX_version}-macros.


There some other small adjustments.  I've created a PR on github for this.  See:  https://github.com/stuartcampbell/rpm-packages/pull/4/commits

***

Not approved.  Please fix the spec-file and post updated links here;  I'll give it another shot then.
Comment 33 Björn 'besser82' Esser 2017-01-16 17:08:14 EST
Forgot to mention:  You need to BR: python-setuptools / python3-setuptools as well.
Comment 34 Stuart Campbell 2017-01-16 17:15:20 EST
Thank you for the comments and the PR - much appreciated.
Comment 35 Björn 'besser82' Esser 2017-01-16 17:18:51 EST
Scratch builds with my proposed changes to the spec-file are working fine:

el6:  https://koji.fedoraproject.org/koji/taskinfo?taskID=17306345
el7:  https://koji.fedoraproject.org/koji/taskinfo?taskID=17306347
f26:  https://koji.fedoraproject.org/koji/taskinfo?taskID=17306351

***

For el <= 6 you need to have explicit BR: epel-rpm-macros for local mock-builds to work.
Comment 36 Björn 'besser82' Esser 2017-01-16 17:25:05 EST
(In reply to Stuart Campbell from comment #34)
> Thank you for the comments and the PR - much appreciated.

You're welcome.  Just update the links to srpm and spec here.  I'll start a formal review then.  =)
Comment 38 Björn 'besser82' Esser 2017-01-17 06:56:15 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Apache (v2.0)", "Unknown or generated".
     75 files have unknown license. Detailed output of licensecheck in
     /home/besser82/vm_shared/fedora/review/1268380-python-sphinx-
     bootstrap-theme/licensecheck.txt

     --->  License-tag just states MIT.  Please add other license.

[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.6/site-packages,
     /usr/lib/python3.6

     --->  False positive.  f-r resolves this query on the host-system
           instead inside the mock-chroot.

[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.6/site-
     packages, /usr/lib/python3.6

     --->  Same as above.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory
     names).

     --->  See my remarks about rpmlint issues.

[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 122880 bytes in 12 files.

     --->  Since the *.txt-files are the same as the *.rst-files, it would
           be enough to package %doc PKG-INFO *.rst.

[!]: Package complies to the Packaging Guidelines

     --->  Issues are present.  ;(

[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files

     --->  Those fonts are available in the
           `glyphicons-halflings-fonts.noarch`-package.
           Try to unbundle them, please.

[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -sphinx-bootstrap-theme , python3-sphinx-bootstrap-theme

     --->  Not required.  Python-packages are built this way.

[!]: Package functions as described.

     --->  JQuery symlink isn't working;  see rpmlint.

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.

     --->  Package is fully noarch'ed.

[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-sphinx-bootstrap-theme-0.4.13-1.fc26.noarch.rpm
          python3-sphinx-bootstrap-theme-0.4.13-1.fc26.noarch.rpm
          python-sphinx-bootstrap-theme-0.4.13-1.fc26.src.rpm
python2-sphinx-bootstrap-theme.noarch: W: dangling-symlink /usr/lib/python2.7/site-packages/sphinx_bootstrap_theme/bootstrap/static/js/jquery-1.11.0.min.js /usr/share/javascript/jquery/1.11.2/jquery.min.js
python3-sphinx-bootstrap-theme.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/sphinx_bootstrap_theme/__pycache__/__init__.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-sphinx-bootstrap-theme.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/sphinx_bootstrap_theme/__pycache__/__init__.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
python3-sphinx-bootstrap-theme.noarch: W: dangling-symlink /usr/lib/python3.6/site-packages/sphinx_bootstrap_theme/bootstrap/static/js/jquery-1.11.0.min.js /usr/share/javascript/jquery/1.11.2/jquery.min.js
3 packages and 0 specfiles checked; 2 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
python2-sphinx-bootstrap-theme.noarch: W: dangling-symlink /usr/lib/python2.7/site-packages/sphinx_bootstrap_theme/bootstrap/static/js/jquery-1.11.0.min.js /usr/share/javascript/jquery/1.11.2/jquery.min.js
python3-sphinx-bootstrap-theme.noarch: W: dangling-symlink /usr/lib/python3.6/site-packages/sphinx_bootstrap_theme/bootstrap/static/js/jquery-1.11.0.min.js /usr/share/javascript/jquery/1.11.2/jquery.min.js
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

--->  JQuery has been updated in between…  I'd strongly recommend symlinking
      to %{_webassetdir}/jquery/1/jquery.min.js
      (needs BuildRequires:  web-assets-devel).
      Same goes when unbundling the fonts.

      Since are no webassets in el <= 6, unbundling is not needed there.


Requires
--------
python2-sphinx-bootstrap-theme (rpmlib, GLIBC filtered):
    js-jquery1
    python(abi)
    python-sphinx

python3-sphinx-bootstrap-theme (rpmlib, GLIBC filtered):
    js-jquery1
    python(abi)
    python3-sphinx



Provides
--------
python2-sphinx-bootstrap-theme:
    python-sphinx-bootstrap-theme
    python2-sphinx-bootstrap-theme
    python2.7dist(sphinx-bootstrap-theme)
    python2dist(sphinx-bootstrap-theme)

python3-sphinx-bootstrap-theme:
    python3-sphinx-bootstrap-theme
    python3.6dist(sphinx-bootstrap-theme)
    python3dist(sphinx-bootstrap-theme)



Source checksums
----------------
https://files.pythonhosted.org/packages/source/s/sphinx-bootstrap-theme/sphinx-bootstrap-theme-0.4.13.tar.gz :
  CHECKSUM(SHA256) this package     : 47f7719e56304026f285455bbb115525d227a6e23341d4b7f6f0b48b2eface82
  CHECKSUM(SHA256) upstream package : 47f7719e56304026f285455bbb115525d227a6e23341d4b7f6f0b48b2eface82


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1268380
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


===== Solution =====

NOT approved, because of present issues.  Please fix them and I'll approve.
Comment 40 Björn 'besser82' Esser 2017-01-18 09:27:20 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Apache (v2.0)", "Unknown or generated".
     75 files have unknown license. Detailed output of licensecheck in
     /home/besser82/vm_shared/fedora/review/1268380-python-sphinx-
     bootstrap-theme/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[-]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.6/site-packages,
     /usr/lib/python3.6
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.6/site-
     packages, /usr/lib/python3.6

     --->  Ignored.  See my previous review report.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 81920 bytes in 8 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files

     --->  Unbundled as far as possible.

[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -sphinx-bootstrap-theme , python3-sphinx-bootstrap-theme
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-sphinx-bootstrap-theme-0.4.13-2.fc26.noarch.rpm
          python3-sphinx-bootstrap-theme-0.4.13-2.fc26.noarch.rpm
          python-sphinx-bootstrap-theme-0.4.13-2.fc26.src.rpm
python2-sphinx-bootstrap-theme.noarch: W: dangling-symlink /usr/lib/python2.7/site-packages/sphinx_bootstrap_theme/bootstrap/static/js/jquery-1.11.0.min.js /usr/share/web-assets/jquery/1/jquery.min.js
python2-sphinx-bootstrap-theme.noarch: W: dangling-symlink /usr/lib/python2.7/site-packages/sphinx_bootstrap_theme/bootstrap/static/bootstrap-3.3.6/fonts/glyphicons-halflings-regular.ttf /usr/share/fonts/glyphicons-halflings/glyphicons-halflings-regular.ttf
python3-sphinx-bootstrap-theme.noarch: W: dangling-symlink /usr/lib/python3.6/site-packages/sphinx_bootstrap_theme/bootstrap/static/js/jquery-1.11.0.min.js /usr/share/web-assets/jquery/1/jquery.min.js
python3-sphinx-bootstrap-theme.noarch: W: dangling-symlink /usr/lib/python3.6/site-packages/sphinx_bootstrap_theme/bootstrap/static/bootstrap-3.3.6/fonts/glyphicons-halflings-regular.ttf /usr/share/fonts/glyphicons-halflings/glyphicons-halflings-regular.ttf
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
python2-sphinx-bootstrap-theme.noarch: W: dangling-symlink /usr/lib/python2.7/site-packages/sphinx_bootstrap_theme/bootstrap/static/bootstrap-3.3.6/fonts/glyphicons-halflings-regular.ttf /usr/share/fonts/glyphicons-halflings/glyphicons-halflings-regular.ttf
python2-sphinx-bootstrap-theme.noarch: W: dangling-symlink /usr/lib/python2.7/site-packages/sphinx_bootstrap_theme/bootstrap/static/js/jquery-1.11.0.min.js /usr/share/web-assets/jquery/1/jquery.min.js
python3-sphinx-bootstrap-theme.noarch: W: dangling-symlink /usr/lib/python3.6/site-packages/sphinx_bootstrap_theme/bootstrap/static/bootstrap-3.3.6/fonts/glyphicons-halflings-regular.ttf /usr/share/fonts/glyphicons-halflings/glyphicons-halflings-regular.ttf
python3-sphinx-bootstrap-theme.noarch: W: dangling-symlink /usr/lib/python3.6/site-packages/sphinx_bootstrap_theme/bootstrap/static/js/jquery-1.11.0.min.js /usr/share/web-assets/jquery/1/jquery.min.js
2 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
python2-sphinx-bootstrap-theme (rpmlib, GLIBC filtered):
    glyphicons-halflings-fonts
    js-jquery1
    python(abi)
    python-sphinx

python3-sphinx-bootstrap-theme (rpmlib, GLIBC filtered):
    glyphicons-halflings-fonts
    js-jquery1
    python(abi)
    python3-sphinx



Provides
--------
python2-sphinx-bootstrap-theme:
    python-sphinx-bootstrap-theme
    python2-sphinx-bootstrap-theme
    python2.7dist(sphinx-bootstrap-theme)
    python2dist(sphinx-bootstrap-theme)

python3-sphinx-bootstrap-theme:
    python3-sphinx-bootstrap-theme
    python3.6dist(sphinx-bootstrap-theme)
    python3dist(sphinx-bootstrap-theme)



Source checksums
----------------
https://files.pythonhosted.org/packages/source/s/sphinx-bootstrap-theme/sphinx-bootstrap-theme-0.4.13.tar.gz :
  CHECKSUM(SHA256) this package     : 47f7719e56304026f285455bbb115525d227a6e23341d4b7f6f0b48b2eface82
  CHECKSUM(SHA256) upstream package : 47f7719e56304026f285455bbb115525d227a6e23341d4b7f6f0b48b2eface82


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1268380
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


===== Solution =====

Package APPROVED!!!  You've been sponsored by me into the Fedora Contributer's group.  Go on with the new package request on pkgdb and add me as co-maintainer, please.  IF you have any questions about importing or other things around Fedora, don't hesitate to contact me by mail <besser82@fedoraproject.org>.
Comment 41 Gwyn Ciesla 2017-02-01 08:14:57 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-sphinx-bootstrap-theme
Comment 42 Fedora Update System 2017-02-01 21:01:07 EST
python-sphinx-bootstrap-theme-0.4.13-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-396d2c83fa
Comment 43 Fedora Update System 2017-02-01 21:02:48 EST
python-sphinx-bootstrap-theme-0.4.13-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a7e5a4ef7a
Comment 44 Fedora Update System 2017-02-01 21:03:39 EST
python-sphinx-bootstrap-theme-0.4.13-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-148319e5cf
Comment 45 Fedora Update System 2017-02-01 21:08:49 EST
python-sphinx-bootstrap-theme-0.4.13-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-23fac88286
Comment 46 Fedora Update System 2017-02-02 16:50:00 EST
python-sphinx-bootstrap-theme-0.4.13-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-23fac88286
Comment 47 Fedora Update System 2017-02-02 17:50:25 EST
python-sphinx-bootstrap-theme-0.4.13-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-148319e5cf
Comment 48 Fedora Update System 2017-02-02 18:18:01 EST
python-sphinx-bootstrap-theme-0.4.13-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-396d2c83fa
Comment 49 Fedora Update System 2017-02-02 18:18:54 EST
python-sphinx-bootstrap-theme-0.4.13-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a7e5a4ef7a
Comment 50 Fedora Update System 2017-02-04 21:22:38 EST
python-sphinx-bootstrap-theme-0.4.13-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-cc6efe50e5
Comment 51 Fedora Update System 2017-02-04 21:23:39 EST
python-sphinx-bootstrap-theme-0.4.13-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a7e5a4ef7a
Comment 52 Fedora Update System 2017-02-05 21:19:51 EST
python-sphinx-bootstrap-theme-0.4.13-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a7e5a4ef7a
Comment 53 Fedora Update System 2017-02-05 21:20:01 EST
python-sphinx-bootstrap-theme-0.4.13-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-cc6efe50e5
Comment 54 Fedora Update System 2017-02-19 17:47:28 EST
python-sphinx-bootstrap-theme-0.4.13-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 55 Fedora Update System 2017-02-19 20:47:05 EST
python-sphinx-bootstrap-theme-0.4.13-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 56 Fedora Update System 2017-02-19 23:18:50 EST
python-sphinx-bootstrap-theme-0.4.13-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 57 Fedora Update System 2017-02-22 09:49:27 EST
python-sphinx-bootstrap-theme-0.4.13-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.